#!/usr/bin/env python

#-------------------------------------------------------------------------------
# Copyright (c) 2009 Giuseppe Buzzanca (PiDy) <giuseppebuzzanca@gmail.com>.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# Contributors:
#     Giuseppe Buzzanca (PiDy) <giuseppebuzzanca@gmail.com> - initial API and implementation
#-------------------------------------------------------------------------------

import wx
from lib.blueSMSsenderFrame import blueSMSsenderFrame
import os
import gettext,locale


if __name__ == "__main__":
    locale.setlocale(locale.LC_ALL, '')
    gettext.install("bluesmssender")
    pathdb=os.path.expanduser("~/.blueSMSsender/")
    filedb='blueSMSsender.sdb'
    if not os.path.isdir(pathdb):
        os.mkdir(pathdb)
    blueSMSsender = wx.PySimpleApp(0)
    wx.InitAllImageHandlers()
    blueSMSsenderFrame = blueSMSsenderFrame(None, -1, "")
    blueSMSsender.SetTopWindow(blueSMSsenderFrame)
    blueSMSsenderFrame.Show()
    blueSMSsender.MainLoop()
