#-------------------------------------------------------------------------------
# Copyright (c) 2009 Giuseppe Buzzanca (PiDy) <giuseppebuzzanca@gmail.com>.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# Contributors:
#     Giuseppe Buzzanca (PiDy) <giuseppebuzzanca@gmail.com> - initial API and implementation
#-------------------------------------------------------------------------------

from exceptions import Exception

class NoCustomersList(Exception):
    def __init__(self, value=None):
        self.value=value
        
class NoDeviceChecked(Exception):
    def __init__(self, value=None):
        self.value=value
    
class NoAdapter(Exception):
    def __init__(self, value=None):
        self.value=value
        
class SerialConnectionError(Exception):
    def __init__(self, value=None):
        self.value=value
    
class BluetoothConnectionException(Exception):
    def __init__(self, value=None):
        self.value=value
